# magic.h File Reference

Go to the source code of this file.

## Data Structures

struct | _MagicInfo

## Typedefs

typedef struct _MagicInfo | MagicInfo

## Functions

MagickExport char ** | GetMagicList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetMagicName (const MagicInfo *)
MagickExport MagickBooleanType | ListMagicInfo (FILE *, ExceptionInfo *)
MagickExport const MagicInfo * | GetMagicInfo (const unsigned char *, const size_t, ExceptionInfo *)
MagickExport const MagicInfo *** | GetMagicInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport void | DestroyMagicList (void)

## Typedef Documentation

typedef struct _MagicInfo MagicInfo

## Function Documentation

MagickExport void DestroyMagicList | ( | void |  | ) |

MagickExport const MagicInfo* GetMagicInfo | ( | const unsigned char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const MagicInfo* ** GetMagicInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetMagicList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* GetMagicName | ( | const MagicInfo * |  | ) |

MagickExport MagickBooleanType ListMagicInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |